package dev.fyloz.colorrecipesexplorer.rest.files

import dev.fyloz.colorrecipesexplorer.service.files.TouchUpKitService
import org.springframework.core.io.ByteArrayResource
import org.springframework.http.MediaType
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("/api/touchup")
class TouchUpKitController(
    private val touchUpKitService: TouchUpKitService
) {
    @GetMapping
    fun getJobPdf(@RequestParam job: String): ResponseEntity<ByteArrayResource> {
        with(touchUpKitService.generateJobPdfResource(job)) {
            return ResponseEntity.ok()
                .header("Content-Disposition", "filename=TouchUpKit_$job.pdf")
                .contentLength(this.contentLength())
                .contentType(MediaType.APPLICATION_PDF)
                .body(this)
        }
    }
}
